Subject: RE: [Sip] Question on Grid Parameter in GRUU 01.txt

From: "George Foti (QC/EMC)" <[email-masked]>
Date: Fri, 12 Dec 2003 08:39:09 -0500

I think its fine.
Thanks George

> -----Original Message-----
> From: Jonathan Rosenberg [mailto:[email-masked]]
> Sent: Thursday, December 11, 2003 4:28 PM
> To: Paul Kyzivat
> Cc: George Foti (QC/EMC); [email-masked]
> Subject: Re: [Sip] Question on Grid Parameter in GRUU 01.txt
> 
> 
> Yes, thats the intent. I reworded this text below a bit to clarify 
> that the grid appears in the request URI (which is not obvious at all 
> from the words below). That aside, is there anything that I can do to 
> clarify the intent?
> 
> Thanks,
> Jonathan R.
> 
> Paul Kyzivat wrote:
> 
> > George,
> > 
> > Yes, your explanation is right in line with my 
> understanding of the intent.
> > 
> >     Paul
> > 
> > George Foti (QC/EMC) wrote:
> > 
> >> Hi,
> >> I need some clarification for the intended usage of the 
> grid parameter :
> >> Quoting the draft :
> >>
> >>  When placing a GRUU into the Contact header field of a request or
> >>    response, a UA MAY add the "grid" URI parameter to the 
> GRUU. This
> >>    parameter MAY take on any value permitted by the grammar for the
> >>    parameter, but MUST NOT exceed 128 characters. When a UA sends a
> >>    request to the GRUU, the proxy for the domain that owns 
> the GRUU will
> >>    copy this parameter from the GRUU into the Contact URI 
> matching that
> >>    GRUU. This allows the UA to effectively manufacture an infinite
> >>    supply of GRUU, each of which differs by the value of the "grid"
> >>    parameter. When a UA receives a request that was sent 
> to the GRUU, it
> >>    will be able to tell which GRUU was invoked by the 
> "grid" parameter.
> >>
> >> So that means that a UA can register a single contact, get 
> back one 
> >> GRUU from the Registrar.
> >> Then by assigning multiple grid parameters to the GRUU create an 
> >> equivalent number of different contacts for that UA, the 
> grid being 
> >> the difference amongst those contacts.
> >>  
> >> Assuming the UA always inserts the grid with contact in 
> its responses 
> >> or initiated requests.
> >> When the grid is received in a subsequent request, the UA uses the 
> >> grid to find the intended application associated with that contact.
> >>
> >> Is the above understanding right or am I off track.
> >>
> >> Thanks
> >> George Foti
> >>
> >>
> >> _______________________________________________
> >> Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
> >> This list is for NEW development of the core SIP Protocol
> >> Use [email-masked] for questions on current sip
> >> Use [email-masked] for new developments on the application of sip
> >>
> > 
> 
> -- 
> Jonathan D. Rosenberg, Ph.D.                600 Lanidex Plaza
> Chief Technology Officer                    Parsippany, NJ 07054-2711
> dynamicsoft
> [email-masked]                     FAX:   (973) 952-5050
> http://www.jdrosen.net                      PHONE: (973) 952-5000
> http://www.dynamicsoft.com
> 

_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip